<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.business.mapper.TOngoodsshelfMapper">
    
    <resultMap type="TOngoodsshelf" id="TOngoodsshelfResult">
        <result property="lotId"    column="LOT_ID"    />
        <result property="goodsid"    column="GOODSID"    />
        <result property="providerId"    column="PROVIDER_ID"    />
        <result property="locationId"    column="LOCATION_ID"    />
        <result property="stoNum"    column="STO_NUM"    />
        <result property="accNum"    column="ACC_NUM"    />
        <result property="shelfNum"    column="SHELF_NUM"    />
        <result property="stockNum"    column="STOCK_NUM"    />
        <result property="ondate"    column="ONDATE"    />
        <result property="onshelfuserid"    column="ONSHELFUSERID"    />
        <result property="storageId"    column="STORAGE_ID"    />
        <result property="storageAreaId"    column="STORAGE_AREA_ID"    />
        <result property="upgoodsId"    column="UPGOODS_ID"    />
        <result property="hasvolume"    column="HASVOLUME"    />
        <result property="goodsTypeid"    column="GOODS_TYPEID"    />
        <result property="storageMode"    column="STORAGE_MODE"    />
        <result property="productionDate"    column="PRODUCTION_DATE"    />
        <result property="goodsvolume"    column="GOODSVOLUME"    />
        <result property="ctl"    column="CTL"    />
        <result property="barcode"    column="BARCODE"    />
        <result property="customerId"    column="CUSTOMER_ID"    />
        <result property="goodsname"    column="GOODSNAME"    />
        <result property="plcid"    column="PLCID"    />
        <result property="high"    column="HIGH"    />
        <result property="instatus"    column="INSTATUS"    />
        <result property="produclotid"    column="PRODUCLOTID"    />
        <result property="unit"    column="UNIT"    />
        <result property="baozhiqi"    column="BAOZHIQI"    />
        <result property="whseloc"    column="WHSELOC"    />
        <result property="instand"    column="INSTAND"    />
        <result property="wgh"    column="WGH"    />
        <result property="decid"    column="DECID"    />
        <result property="tasktype"    column="TASKTYPE"    />
        <result property="goodsMeasureId"    column="GOODS_MEASURE_ID"    />
        <result property="packingNum"    column="PACKING_NUM"    />
        <result property="damageNum"    column="DAMAGE_NUM"    />
        <result property="damageLocation"    column="DAMAGE_LOCATION"    />
        <result property="warehousingId"    column="WAREHOUSING_ID"    />
        <result property="netWeigh"    column="NET_WEIGH"    />
        <result property="roughWeight"    column="ROUGH_WEIGHT"    />
        <result property="scaleUnit"    column="SCALE_UNIT"    />
        <result property="totalVolume"    column="TOTAL_VOLUME"    />
        <result property="totalRoughWeight"    column="TOTAL_ROUGH_WEIGHT"    />
        <result property="totalNetWeigh"    column="TOTAL_NET_WEIGH"    />
        <result property="totalMoney"    column="TOTAL_MONEY"    />
        <result property="flag"    column="FLAG"    />
        <result property="standard"    column="STANDARD"    />
        <result property="remark"    column="REMARK"    />
        <result property="innerBatchNo"    column="INNER_BATCH_NO"    />
        <result property="printsts"    column="PRINTSTS"    />
        <result property="printcs"    column="PRINTCS"    />
        <result property="purchasetype"    column="PURCHASETYPE"    />
        <result property="accStatus"    column="ACC_STATUS"    />
        <result property="manualTrayState"    column="MANUAL_TRAY_STATE"    />
        <result property="acceId"    column="ACCE_ID"    />
        <result property="spec"    column="SPEC"    />
        <result property="wmsorderid"    column="WMSORDERID"    />
        <result property="batchno"    column="BATCHNO"    />
        <result property="printusid"    column="PRINTUSID"    />
        <result property="agvsts"    column="AGVSTS"    />
        <result property="agvbgn"    column="AGVBGN"    />
        <result property="agvend"    column="AGVEND"    />
        <result property="orderId"    column="ORDER_ID"    />
        <result property="expirationDate"    column="EXPIRATION_DATE"    />
        <result property="createDate"    column="CREATE_DATE"    />
        <result property="userName"    column="USERNAME"    />
    </resultMap>

    <sql id="selectTOngoodsshelfVo">
        select LOT_ID, GOODSID, PROVIDER_ID, LOCATION_ID, STO_NUM, ACC_NUM, SHELF_NUM, STOCK_NUM, ONDATE, ONSHELFUSERID, STORAGE_ID, STORAGE_AREA_ID, UPGOODS_ID, HASVOLUME, GOODS_TYPEID, STORAGE_MODE, PRODUCTION_DATE, GOODSVOLUME, CTL, BARCODE, CUSTOMER_ID, GOODSNAME, PLCID, HIGH, INSTATUS, PRODUCLOTID, UNIT, BAOZHIQI, WHSELOC, INSTAND, WGH, DECID, TASKTYPE, GOODS_MEASURE_ID, PACKING_NUM, DAMAGE_NUM, DAMAGE_LOCATION, WAREHOUSING_ID, NET_WEIGH, ROUGH_WEIGHT, SCALE_UNIT, TOTAL_VOLUME, TOTAL_ROUGH_WEIGHT, TOTAL_NET_WEIGH, TOTAL_MONEY, FLAG, STANDARD, REMARK, INNER_BATCH_NO, PRINTSTS, PRINTCS, PURCHASETYPE, ACC_STATUS, MANUAL_TRAY_STATE, ACCE_ID, SPEC, WMSORDERID, BATCHNO, PRINTUSID, AGVSTS, AGVBGN, AGVEND,ORDER_ID,EXPIRATION_DATE, CREATE_DATE, USERNAME from t_ongoodsshelf
    </sql>

    <select id="selectTOngoodsshelfList" parameterType="TOngoodsshelf" resultMap="TOngoodsshelfResult">
        <include refid="selectTOngoodsshelfVo"/>
        <where>  
            <if test="lotId != null  and lotId != ''"> and LOT_ID = #{lotId}</if>
            <if test="goodsid != null  and goodsid != ''"> and GOODSID = #{goodsid}</if>
            <if test="providerId != null  and providerId != ''"> and PROVIDER_ID = #{providerId}</if>
            <if test="locationId != null  and locationId != ''"> and LOCATION_ID = #{locationId}</if>
            <if test="stoNum != null "> and STO_NUM = #{stoNum}</if>
            <if test="accNum != null "> and ACC_NUM = #{accNum}</if>
            <if test="shelfNum != null "> and SHELF_NUM = #{shelfNum}</if>
            <if test="stockNum != null "> and STOCK_NUM = #{stockNum}</if>
            <if test="ondate != null "> and ONDATE = #{ondate}</if>
            <if test="onshelfuserid != null  and onshelfuserid != ''"> and ONSHELFUSERID = #{onshelfuserid}</if>
            <if test="storageId != null  and storageId != ''"> and STORAGE_ID = #{storageId}</if>
            <if test="storageAreaId != null  and storageAreaId != ''"> and STORAGE_AREA_ID = #{storageAreaId}</if>
            <if test="upgoodsId != null  and upgoodsId != ''"> and UPGOODS_ID = #{upgoodsId}</if>
            <if test="hasvolume != null "> and HASVOLUME = #{hasvolume}</if>
            <if test="goodsTypeid != null  and goodsTypeid != ''"> and GOODS_TYPEID = #{goodsTypeid}</if>
            <if test="storageMode != null  and storageMode != ''"> and STORAGE_MODE = #{storageMode}</if>
            <if test="productionDate != null "> and PRODUCTION_DATE = #{productionDate}</if>
            <if test="goodsvolume != null "> and GOODSVOLUME = #{goodsvolume}</if>
            <if test="ctl != null  and ctl != ''"> and CTL = #{ctl}</if>
            <if test="barcode != null  and barcode != ''"> and BARCODE = #{barcode}</if>
            <if test="customerId != null  and customerId != ''"> and CUSTOMER_ID = #{customerId}</if>
            <if test="goodsname != null  and goodsname != ''"> and GOODSNAME like concat('%', #{goodsname}, '%')</if>
            <if test="plcid != null "> and PLCID = #{plcid}</if>
            <if test="high != null  and high != ''"> and HIGH = #{high}</if>
            <if test="instatus != null  and instatus != ''"> and INSTATUS = #{instatus}</if>
            <if test="produclotid != null  and produclotid != ''"> and PRODUCLOTID = #{produclotid}</if>
            <if test="unit != null  and unit != ''"> and UNIT = #{unit}</if>
            <if test="baozhiqi != null  and baozhiqi != ''"> and BAOZHIQI = #{baozhiqi}</if>
            <if test="whseloc != null  and whseloc != ''"> and WHSELOC = #{whseloc}</if>
            <if test="instand != null  and instand != ''"> and INSTAND = #{instand}</if>
            <if test="wgh != null  and wgh != ''"> and WGH = #{wgh}</if>
            <if test="decid != null  and decid != ''"> and DECID = #{decid}</if>
            <if test="tasktype != null  and tasktype != ''"> and TASKTYPE = #{tasktype}</if>
            <if test="goodsMeasureId != null  and goodsMeasureId != ''"> and GOODS_MEASURE_ID = #{goodsMeasureId}</if>
            <if test="packingNum != null "> and PACKING_NUM = #{packingNum}</if>
            <if test="damageNum != null "> and DAMAGE_NUM = #{damageNum}</if>
            <if test="damageLocation != null  and damageLocation != ''"> and DAMAGE_LOCATION = #{damageLocation}</if>
            <if test="warehousingId != null  and warehousingId != ''"> and WAREHOUSING_ID = #{warehousingId}</if>
            <if test="netWeigh != null "> and NET_WEIGH = #{netWeigh}</if>
            <if test="roughWeight != null "> and ROUGH_WEIGHT = #{roughWeight}</if>
            <if test="scaleUnit != null  and scaleUnit != ''"> and SCALE_UNIT = #{scaleUnit}</if>
            <if test="totalVolume != null "> and TOTAL_VOLUME = #{totalVolume}</if>
            <if test="totalRoughWeight != null "> and TOTAL_ROUGH_WEIGHT = #{totalRoughWeight}</if>
            <if test="totalNetWeigh != null "> and TOTAL_NET_WEIGH = #{totalNetWeigh}</if>
            <if test="totalMoney != null "> and TOTAL_MONEY = #{totalMoney}</if>
            <if test="flag != null  and flag != ''"> and FLAG = #{flag}</if>
            <if test="standard != null  and standard != ''"> and STANDARD = #{standard}</if>
            <if test="remark != null  and remark != ''"> and REMARK = #{remark}</if>
            <if test="innerBatchNo != null  and innerBatchNo != ''"> and INNER_BATCH_NO = #{innerBatchNo}</if>
            <if test="printsts != null  and printsts != ''"> and PRINTSTS = #{printsts}</if>
            <if test="printcs != null "> and PRINTCS = #{printcs}</if>
            <if test="purchasetype != null "> and PURCHASETYPE = #{purchasetype}</if>
            <if test="accStatus != null  and accStatus != ''"> and ACC_STATUS = #{accStatus}</if>
            <if test="manualTrayState != null  and manualTrayState != ''"> and MANUAL_TRAY_STATE = #{manualTrayState}</if>
            <if test="acceId != null  and acceId != ''"> and ACCE_ID = #{acceId}</if>
            <if test="spec != null  and spec != ''"> and SPEC = #{spec}</if>
            <if test="wmsorderid != null  and wmsorderid != ''"> and WMSORDERID = #{wmsorderid}</if>
            <if test="batchno != null  and batchno != ''"> and BATCHNO = #{batchno}</if>
            <if test="printusid != null  and printusid != ''"> and PRINTUSID = #{printusid}</if>
            <if test="agvsts != null  and agvsts != ''"> and AGVSTS = #{agvsts}</if>
            <if test="agvbgn != null  and agvbgn != ''"> and AGVBGN = #{agvbgn}</if>
            <if test="agvend != null  and agvend != ''"> and AGVEND = #{agvend}</if>
            <if test="orderId != null  and orderId != ''"> and ORDER_ID = #{orderId}</if>
            <if test="createDate != null  and createDate != ''"> and CREATE_DATE = #{createDate}</if>
            <if test="userName != null and userName != ''"> and USERNAME = #{userName}</if>
        </where>
    </select>
    
    <select id="selectTOngoodsshelfByLotId" parameterType="String" resultMap="TOngoodsshelfResult">
        <include refid="selectTOngoodsshelfVo"/>
        where LOT_ID = #{lotId}
    </select>
        
    <insert id="insertTOngoodsshelf" parameterType="TOngoodsshelf">
        insert into t_ongoodsshelf
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="lotId != null">LOT_ID,</if>
            <if test="goodsid != null">GOODSID,</if>
            <if test="providerId != null">PROVIDER_ID,</if>
            <if test="locationId != null">LOCATION_ID,</if>
            <if test="stoNum != null">STO_NUM,</if>
            <if test="accNum != null">ACC_NUM,</if>
            <if test="shelfNum != null">SHELF_NUM,</if>
            <if test="stockNum != null">STOCK_NUM,</if>
            <if test="ondate != null">ONDATE,</if>
            <if test="onshelfuserid != null">ONSHELFUSERID,</if>
            <if test="storageId != null">STORAGE_ID,</if>
            <if test="storageAreaId != null">STORAGE_AREA_ID,</if>
            <if test="upgoodsId != null">UPGOODS_ID,</if>
            <if test="hasvolume != null">HASVOLUME,</if>
            <if test="goodsTypeid != null">GOODS_TYPEID,</if>
            <if test="storageMode != null">STORAGE_MODE,</if>
            <if test="productionDate != null">PRODUCTION_DATE,</if>
            <if test="goodsvolume != null">GOODSVOLUME,</if>
            <if test="ctl != null">CTL,</if>
            <if test="barcode != null">BARCODE,</if>
            <if test="customerId != null">CUSTOMER_ID,</if>
            <if test="goodsname != null">GOODSNAME,</if>
            <if test="plcid != null">PLCID,</if>
            <if test="high != null">HIGH,</if>
            <if test="instatus != null">INSTATUS,</if>
            <if test="produclotid != null">PRODUCLOTID,</if>
            <if test="unit != null">UNIT,</if>
            <if test="baozhiqi != null">BAOZHIQI,</if>
            <if test="whseloc != null">WHSELOC,</if>
            <if test="instand != null">INSTAND,</if>
            <if test="wgh != null">WGH,</if>
            <if test="decid != null">DECID,</if>
            <if test="tasktype != null">TASKTYPE,</if>
            <if test="goodsMeasureId != null">GOODS_MEASURE_ID,</if>
            <if test="packingNum != null">PACKING_NUM,</if>
            <if test="damageNum != null">DAMAGE_NUM,</if>
            <if test="damageLocation != null">DAMAGE_LOCATION,</if>
            <if test="warehousingId != null">WAREHOUSING_ID,</if>
            <if test="netWeigh != null">NET_WEIGH,</if>
            <if test="roughWeight != null">ROUGH_WEIGHT,</if>
            <if test="scaleUnit != null">SCALE_UNIT,</if>
            <if test="totalVolume != null">TOTAL_VOLUME,</if>
            <if test="totalRoughWeight != null">TOTAL_ROUGH_WEIGHT,</if>
            <if test="totalNetWeigh != null">TOTAL_NET_WEIGH,</if>
            <if test="totalMoney != null">TOTAL_MONEY,</if>
            <if test="flag != null">FLAG,</if>
            <if test="standard != null">STANDARD,</if>
            <if test="remark != null">REMARK,</if>
            <if test="innerBatchNo != null">INNER_BATCH_NO,</if>
            <if test="printsts != null">PRINTSTS,</if>
            <if test="printcs != null">PRINTCS,</if>
            <if test="purchasetype != null">PURCHASETYPE,</if>
            <if test="accStatus != null">ACC_STATUS,</if>
            <if test="manualTrayState != null">MANUAL_TRAY_STATE,</if>
            <if test="acceId != null">ACCE_ID,</if>
            <if test="spec != null">SPEC,</if>
            <if test="wmsorderid != null">WMSORDERID,</if>
            <if test="batchno != null">BATCHNO,</if>
            <if test="printusid != null">PRINTUSID,</if>
            <if test="agvsts != null">AGVSTS,</if>
            <if test="agvbgn != null">AGVBGN,</if>
            <if test="agvend != null">AGVEND,</if>
            <if test="orderId != null">ORDER_ID,</if>
            <if test="expirationDate != null">EXPIRATION_DATE,</if>
            <if test="createDate != null">CREATE_DATE,</if>
            <if test="userName != null">USERNAME,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="lotId != null">#{lotId},</if>
            <if test="goodsid != null">#{goodsid},</if>
            <if test="providerId != null">#{providerId},</if>
            <if test="locationId != null">#{locationId},</if>
            <if test="stoNum != null">#{stoNum},</if>
            <if test="accNum != null">#{accNum},</if>
            <if test="shelfNum != null">#{shelfNum},</if>
            <if test="stockNum != null">#{stockNum},</if>
            <if test="ondate != null">#{ondate},</if>
            <if test="onshelfuserid != null">#{onshelfuserid},</if>
            <if test="storageId != null">#{storageId},</if>
            <if test="storageAreaId != null">#{storageAreaId},</if>
            <if test="upgoodsId != null">#{upgoodsId},</if>
            <if test="hasvolume != null">#{hasvolume},</if>
            <if test="goodsTypeid != null">#{goodsTypeid},</if>
            <if test="storageMode != null">#{storageMode},</if>
            <if test="productionDate != null">#{productionDate},</if>
            <if test="goodsvolume != null">#{goodsvolume},</if>
            <if test="ctl != null">#{ctl},</if>
            <if test="barcode != null">#{barcode},</if>
            <if test="customerId != null">#{customerId},</if>
            <if test="goodsname != null">#{goodsname},</if>
            <if test="plcid != null">#{plcid},</if>
            <if test="high != null">#{high},</if>
            <if test="instatus != null">#{instatus},</if>
            <if test="produclotid != null">#{produclotid},</if>
            <if test="unit != null">#{unit},</if>
            <if test="baozhiqi != null">#{baozhiqi},</if>
            <if test="whseloc != null">#{whseloc},</if>
            <if test="instand != null">#{instand},</if>
            <if test="wgh != null">#{wgh},</if>
            <if test="decid != null">#{decid},</if>
            <if test="tasktype != null">#{tasktype},</if>
            <if test="goodsMeasureId != null">#{goodsMeasureId},</if>
            <if test="packingNum != null">#{packingNum},</if>
            <if test="damageNum != null">#{damageNum},</if>
            <if test="damageLocation != null">#{damageLocation},</if>
            <if test="warehousingId != null">#{warehousingId},</if>
            <if test="netWeigh != null">#{netWeigh},</if>
            <if test="roughWeight != null">#{roughWeight},</if>
            <if test="scaleUnit != null">#{scaleUnit},</if>
            <if test="totalVolume != null">#{totalVolume},</if>
            <if test="totalRoughWeight != null">#{totalRoughWeight},</if>
            <if test="totalNetWeigh != null">#{totalNetWeigh},</if>
            <if test="totalMoney != null">#{totalMoney},</if>
            <if test="flag != null">#{flag},</if>
            <if test="standard != null">#{standard},</if>
            <if test="remark != null">#{remark},</if>
            <if test="innerBatchNo != null">#{innerBatchNo},</if>
            <if test="printsts != null">#{printsts},</if>
            <if test="printcs != null">#{printcs},</if>
            <if test="purchasetype != null">#{purchasetype},</if>
            <if test="accStatus != null">#{accStatus},</if>
            <if test="manualTrayState != null">#{manualTrayState},</if>
            <if test="acceId != null">#{acceId},</if>
            <if test="spec != null">#{spec},</if>
            <if test="wmsorderid != null">#{wmsorderid},</if>
            <if test="batchno != null">#{batchno},</if>
            <if test="printusid != null">#{printusid},</if>
            <if test="agvsts != null">#{agvsts},</if>
            <if test="agvbgn != null">#{agvbgn},</if>
            <if test="agvend != null">#{agvend},</if>
            <if test="orderId != null">#{orderId},</if>
            <if test="expirationDate != null">#{expirationDate},</if>
            <if test="createDate != null">#{createDate},</if>
            <if test="userName != null">#{userName},</if>
         </trim>
    </insert>

    <update id="updateTOngoodsshelf" parameterType="TOngoodsshelf">
        update t_ongoodsshelf
        <trim prefix="SET" suffixOverrides=",">
            <if test="goodsid != null">GOODSID = #{goodsid},</if>
            <if test="providerId != null">PROVIDER_ID = #{providerId},</if>
            <if test="locationId != null">LOCATION_ID = #{locationId},</if>
            <if test="stoNum != null">STO_NUM = #{stoNum},</if>
            <if test="accNum != null">ACC_NUM = #{accNum},</if>
            <if test="shelfNum != null">SHELF_NUM = #{shelfNum},</if>
            <if test="stockNum != null">STOCK_NUM = #{stockNum},</if>
            <if test="ondate != null">ONDATE = #{ondate},</if>
            <if test="onshelfuserid != null">ONSHELFUSERID = #{onshelfuserid},</if>
            <if test="storageId != null">STORAGE_ID = #{storageId},</if>
            <if test="storageAreaId != null">STORAGE_AREA_ID = #{storageAreaId},</if>
            <if test="upgoodsId != null">UPGOODS_ID = #{upgoodsId},</if>
            <if test="hasvolume != null">HASVOLUME = #{hasvolume},</if>
            <if test="goodsTypeid != null">GOODS_TYPEID = #{goodsTypeid},</if>
            <if test="storageMode != null">STORAGE_MODE = #{storageMode},</if>
            <if test="productionDate != null">PRODUCTION_DATE = #{productionDate},</if>
            <if test="goodsvolume != null">GOODSVOLUME = #{goodsvolume},</if>
            <if test="ctl != null">CTL = #{ctl},</if>
            <if test="barcode != null">BARCODE = #{barcode},</if>
            <if test="customerId != null">CUSTOMER_ID = #{customerId},</if>
            <if test="goodsname != null">GOODSNAME = #{goodsname},</if>
            <if test="plcid != null">PLCID = #{plcid},</if>
            <if test="high != null">HIGH = #{high},</if>
            <if test="instatus != null">INSTATUS = #{instatus},</if>
            <if test="produclotid != null">PRODUCLOTID = #{produclotid},</if>
            <if test="unit != null">UNIT = #{unit},</if>
            <if test="baozhiqi != null">BAOZHIQI = #{baozhiqi},</if>
            <if test="whseloc != null">WHSELOC = #{whseloc},</if>
            <if test="instand != null">INSTAND = #{instand},</if>
            <if test="wgh != null">WGH = #{wgh},</if>
            <if test="decid != null">DECID = #{decid},</if>
            <if test="tasktype != null">TASKTYPE = #{tasktype},</if>
            <if test="goodsMeasureId != null">GOODS_MEASURE_ID = #{goodsMeasureId},</if>
            <if test="packingNum != null">PACKING_NUM = #{packingNum},</if>
            <if test="damageNum != null">DAMAGE_NUM = #{damageNum},</if>
            <if test="damageLocation != null">DAMAGE_LOCATION = #{damageLocation},</if>
            <if test="warehousingId != null">WAREHOUSING_ID = #{warehousingId},</if>
            <if test="netWeigh != null">NET_WEIGH = #{netWeigh},</if>
            <if test="roughWeight != null">ROUGH_WEIGHT = #{roughWeight},</if>
            <if test="scaleUnit != null">SCALE_UNIT = #{scaleUnit},</if>
            <if test="totalVolume != null">TOTAL_VOLUME = #{totalVolume},</if>
            <if test="totalRoughWeight != null">TOTAL_ROUGH_WEIGHT = #{totalRoughWeight},</if>
            <if test="totalNetWeigh != null">TOTAL_NET_WEIGH = #{totalNetWeigh},</if>
            <if test="totalMoney != null">TOTAL_MONEY = #{totalMoney},</if>
            <if test="flag != null">FLAG = #{flag},</if>
            <if test="standard != null">STANDARD = #{standard},</if>
            <if test="remark != null">REMARK = #{remark},</if>
            <if test="innerBatchNo != null">INNER_BATCH_NO = #{innerBatchNo},</if>
            <if test="printsts != null">PRINTSTS = #{printsts},</if>
            <if test="printcs != null">PRINTCS = #{printcs},</if>
            <if test="purchasetype != null">PURCHASETYPE = #{purchasetype},</if>
            <if test="accStatus != null">ACC_STATUS = #{accStatus},</if>
            <if test="manualTrayState != null">MANUAL_TRAY_STATE = #{manualTrayState},</if>
            <if test="acceId != null">ACCE_ID = #{acceId},</if>
            <if test="spec != null">SPEC = #{spec},</if>
            <if test="wmsorderid != null">WMSORDERID = #{wmsorderid},</if>
            <if test="batchno != null">BATCHNO = #{batchno},</if>
            <if test="printusid != null">PRINTUSID = #{printusid},</if>
            <if test="agvsts != null">AGVSTS = #{agvsts},</if>
            <if test="agvbgn != null">AGVBGN = #{agvbgn},</if>
            <if test="agvend != null">AGVEND = #{agvend},</if>
            <if test="orderId != null">ORDER_ID = #{orderId},</if>
            <if test="expirationDate != null">EXPIRATION_DATE = #{expirationDate},</if>
            <if test="createDate != null">CREATE_DATE = #{createDate},</if>
            <if test="userName != null">USERNAME = #{userName},</if>
        </trim>
        where LOT_ID = #{lotId}
    </update>

    <delete id="deleteTOngoodsshelfByLotId" parameterType="String">
        delete from t_ongoodsshelf where LOT_ID = #{lotId}
    </delete>

    <delete id="deleteTOngoodsshelfByLotIds" parameterType="String">
        delete from t_ongoodsshelf where LOT_ID in 
        <foreach item="lotId" collection="array" open="(" separator="," close=")">
            #{lotId}
        </foreach>
    </delete>

</mapper>